<template>
  <b-modal
    ref="alert-delete-modal"
    id="alert-delete-modal"
    hide-footer
    title="Alert"
  >
    <div class="container warning">
      <div class="row warning__alert">
        <div class="col-12 warning__alert__text">
          Are you sure you want to delete?
        </div>
      </div>
      <div class="row warning__button">
        <div class="col-12 warning__button__container">
          <b-button
            variant="primary"
            class="ml-1 mr-1 mt-1 mb-1 warning__button__container__delete"
            @click="handleDelete()"
            >Delete</b-button
          >
          <b-button
            variant="primary"
            class="ml-1 mr-1 mt-1 mb-1 warning__button__container__cancel"
            @click="closeAlertDeleteModal"
            >Cancel</b-button
          >
        </div>
      </div>
    </div>

    <b-modal
      ref="alert-can-not-delete-modal"
      id="alert-can-not-delete-modal"
      hide-footer
      title="Alert"
    >
      <div class="container sub-modal">
        <div class="row">
          <div class="col-12 sub-modal__alert">
            You can not delete a client having a valid prepaid card
          </div>
        </div>
        <div class="row">
          <div class="col-12">
            <b-button
              variant="primary"
              class="ml-1 mr-1 mt-1 mb-1 sub-modal__button"
              @click="closeAlertCannotDeleteModal"
              >Close</b-button
            >
          </div>
        </div>
      </div>
    </b-modal>
  </b-modal>
</template>
<script>
import * as constant from "../../libs/Constant";
import * as api from "./../../apis/api";
// import axios from "axios";
import Swal from "sweetalert2";
import './AlertDeleteModal.scss';
export default {
  data() {
    return {
      constant,
      payload: null,
      typeOfDelete: null,
    };
  },
  methods: {
    async handleDelete() {
      var response;
      if (this.typeOfDelete == "delete-client") {
        response = await api.postAPIs(constant.DELETE_CLIENT_API, this.payload);
        if (response.status === 200 && response.data && response.data.result) {
          this.closeAlertDeleteModal();
          this.$emit("close-modal");
          this.$emit("get-client-info");
        } else {
          this.closeAlertDeleteModal();

          Swal.fire({
            title: "You can not delete a client having a valid prepaid card",
            showDenyButton: true,
            denyButtonText: `Close`,
          });
        }
      }
      else if (this.typeOfDelete == "delete-image"){
        response = await api.deleteAPIs(constant.DELETE_IMAGE_API, this.payload);
        console.log("response = ", response);
        if (response.status === 200 && response?.data?.isOK && response?.data?.result){
          this.closeAlertDeleteModal();
          this.$emit("close-modal");
          this.$emit("get-client-info");
        }
        else{
          Swal.fire({
            title: "You can not delete this image",
            showDenyButton: true,
            denyButtonText: `Close`,
          });
        }
      }
    },
    async openAlertDeleteModal(typeOfDelete, payload) {
      this.typeOfDelete = typeOfDelete;
      this.payload = payload;
      this.$bvModal.show("alert-delete-modal");
    },
    closeAlertDeleteModal() {
      this.$bvModal.hide("alert-delete-modal");
    },
    openAlertCannotDeleteModal() {
      this.$bvModal.show("alert-can-not-delete-modal");
    },
    closeAlertCannotDeleteModal() {
      this.$bvModal.hide("alert-can-not-delete-modal");
    },
  },
};
</script>

<style scoped>
</style>